Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignGroup

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseGroup
          net.sf.jasperreports.engine.design.JRDesignGroup

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRGroup

    public class JRDesignGroup

extends JRBaseGroup

Version:
  $Id: JRDesignGroup.java 3456 2010-02-21 08:10:10Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_COUNT_VARIABLE`
`static java.lang.String` | `PROPERTY_EXPRESSION`
`static java.lang.String` | `PROPERTY_GROUP_FOOTER`
`static java.lang.String` | `PROPERTY_GROUP_HEADER`
`static java.lang.String` | `PROPERTY_NAME`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseGroup
`countVariable, expression, footerPositionValue, groupFooterSection, groupHeaderSection, isReprintHeaderOnEachPage, isResetPageNumber, isStartNewColumn, isStartNewPage, keepTogether, minHeightToStartNewPage, name, PROPERTY_FOOTER_POSITION, PROPERTY_KEEP_TOGETHER, PROPERTY_MIN_HEIGHT_TO_START_NEW_PAGE, PROPERTY_REPRINT_HEADER_ON_EACH_PAGE, PROPERTY_RESET_PAGE_NUMBER, PROPERTY_START_NEW_COLUMN, PROPERTY_START_NEW_PAGE`

Fields inherited from interface net.sf.jasperreports.engine.JRGroup
`FOOTER_POSITION_COLLATE_AT_BOTTOM, FOOTER_POSITION_FORCE_AT_BOTTOM, FOOTER_POSITION_NORMAL, FOOTER_POSITION_STACK_AT_BOTTOM`

Constructor Summary
`JRDesignGroup()`

Method Summary
`protected void` | `setBandOrigin(JRBand band, BandTypeEnum type)`
`protected void` | `setBandOrigin(JRBand band, byte type)` Deprecated. Replaced by `setBandOrigin(JRBand, BandTypeEnum)`. s
`void` | `setCountVariable(JRVariable countVariable)` public void setGroupFooter(JRSection groupFooterSection) { Object old = this.groupFooterSection; this.groupFooterSection = groupFooterSection; setSectionOrigin(this.groupFooterSection, JROrigin.GROUP_FOOTER); getEventSupport().firePropertyChange(PROPERTY_GROUP_FOOTER, old, this.groupFooterSection); } /**
`void` | `setExpression(JRExpression expression)`
`void` | `setGroupFooter(JRBand groupFooter)` Deprecated. Replaced by `JRBaseGroup.getGroupFooterSection()`.
`void` | `setGroupHeader(JRBand groupHeader)` Deprecated. Replaced by `JRBaseGroup.getGroupHeaderSection()`.
`void` | `setName(java.lang.String name)`
`protected void` | `setSectionOrigin(JRSection section, BandTypeEnum type)`
`protected void` | `setSectionOrigin(JRSection section, byte type)` Deprecated. Replaced by `setSectionOrigin(JRSection, BandTypeEnum)`
`protected void` | `updateSectionOrigins()`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseGroup
`clone, getCountVariable, getEventSupport, getExpression, getFooterPosition, getFooterPositionValue, getGroupFooter, getGroupFooterSection, getGroupHeader, getGroupHeaderSection, getMinHeightToStartNewPage, getName, isKeepTogether, isReprintHeaderOnEachPage, isResetPageNumber, isStartNewColumn, isStartNewPage, setFooterPosition, setFooterPosition, setKeepTogether, setMinHeightToStartNewPage, setReprintHeaderOnEachPage, setResetPageNumber, setStartNewColumn, setStartNewPage`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_COUNT_VARIABLE

    public static final java.lang.String PROPERTY_COUNT_VARIABLE

See Also:
  Constant Field Values

### PROPERTY_EXPRESSION

    public static final java.lang.String PROPERTY_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_GROUP_FOOTER

    public static final java.lang.String PROPERTY_GROUP_FOOTER

See Also:
  Constant Field Values

### PROPERTY_GROUP_HEADER

    public static final java.lang.String PROPERTY_GROUP_HEADER

See Also:
  Constant Field Values

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

See Also:
  Constant Field Values

Constructor Detail

### JRDesignGroup

    public JRDesignGroup()

Method Detail

### setName

    public void setName(java.lang.String name)

### setExpression

    public void setExpression(JRExpression expression)

### setGroupHeader

    public void setGroupHeader(JRBand groupHeader)

  Deprecated. Replaced by `JRBaseGroup.getGroupHeaderSection()`.

### setGroupFooter

    public void setGroupFooter(JRBand groupFooter)

  Deprecated. Replaced by `JRBaseGroup.getGroupFooterSection()`.

  public void setGroupHeader(JRSection groupHeaderSection) { Object old = this.groupHeaderSection; this.groupHeaderSection = groupHeaderSection; setSectionOrigin(this.groupHeaderSection, JROrigin.GROUP_HEADER); getEventSupport().firePropertyChange(PROPERTY_GROUP_HEADER, old, this.groupHeaderSection); } /**

### setCountVariable

    public void setCountVariable(JRVariable countVariable)

  public void setGroupFooter(JRSection groupFooterSection) { Object old = this.groupFooterSection; this.groupFooterSection = groupFooterSection; setSectionOrigin(this.groupFooterSection, JROrigin.GROUP_FOOTER); getEventSupport().firePropertyChange(PROPERTY_GROUP_FOOTER, old, this.groupFooterSection); } /**

### setSectionOrigin

    protected void setSectionOrigin(JRSection section,
                                    byte type)

  Deprecated. Replaced by `setSectionOrigin(JRSection, BandTypeEnum)`

### setBandOrigin

    protected void setBandOrigin(JRBand band,
                                 byte type)

  Deprecated. Replaced by `setBandOrigin(JRBand, BandTypeEnum)`. s

### setSectionOrigin

    protected void setSectionOrigin(JRSection section,
                                    BandTypeEnum type)

### setBandOrigin

    protected void setBandOrigin(JRBand band,
                                 BandTypeEnum type)

### updateSectionOrigins

    protected void updateSectionOrigins()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com